.\" $NetBSD: iomdkbc.4,v 1.2 2004/03/20 17:10:33 snj Exp $
.\"
.\" Copyright (c) 2004 Ben Harris
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 20, 2004
.Dt IOMDKBC 4 acorn32
.Os
.Sh NAME
.Nm iomdkbc
.Nd ARM IOMD keyboard and mouse ports
.Sh SYNOPSIS
.Cd iomdkbc* at iomd?
.Cd pckbd* at iomdkbc?
.Cd pms* at iomdkbc?
.Sh DESCRIPTION
The
.Nm
driver interfaces machine-independent drivers for PC keyboards and
PS/2 mice to the particular implementation of the keyboard and mouse
ports provided by the
.Tn ARM IOMD20 ,
.Tn ARM7500 ,
and
.Tn ARM7500FE .
The quadrature mouse interface on the
.Tn IOMD20
is handled by the
.Xr qms 4
driver.
.Pp
This driver replaces the
.Xr kbd 4
and
.Xr rpckbd 4
drivers, which will be withdrawn in a future
.Nx
release.
If a kernel has
.Xr kbd 4
or
.Xr rpckbd 4
configured,
.Nm
will only be used for the mouse interface (if present).
.Sh SEE ALSO
.Xr kbd 4 ,
.Xr pckbd 4 ,
.Xr pms 4 ,
.Xr qms 4 ,
.Xr rpckbd 4
.Sh HISTORY
The
.Nm
driver was introduced in
.Nx 2.0 .
